Subject: Re: bug#11395: 24.0.96; Sporadic crashing

From: Richard Stanton <[email-masked]>
Date: Tue, 15 May 2012 10:48:31 -0700

On 5/15/12 9:23 AM, "Jan Djärv" <[email-masked]> wrote:

>Hi again.
>
>You must do make install so emacs finds the lisp files.
>
>15 maj 2012 kl. 18:17 skrev Jan Djärv:
>
>> Hello.
>> 
>> 15 maj 2012 kl. 17:17 skrev Chong Yidong:
>> 
>>> Richard Stanton <[email-masked]> writes:
>>> 
>>>> 1) When run this way, where does Emacs look by default for my own .el
>>>> files? Normally I put them under
>>>> /Applications/Emacs.app/Contents/Resources/site-lisp, which Emacs
>>>> under OS X searches (along with all subdirectories) automatically.
>>> 
>>> It should not make any difference.
>
>You should copy them to nextstep/Emacs.app/Contents/Resources/site-lisp
>if you must have them while debugging.
>
>	Jan D.
>
>>> 
>>>> 2) When I type a key in the resulting Emacs window, the character I
>>>> just typed appears in the shell window, not the Emacs window. How do I
>>>> get around that?
>>> 
>>> I have no idea what this means; I haven't heard of such a problem
>>> before.  Maybe someone else who has used Emacs on Mac OS X can help.
>>> 
>>> 
>> 
>> You should cd to src and then start gdb like this:
>> 
>> % gdb ../nextstep/Emacs.app/Contents/MacOS/Emacs
>> 
>> not use the emacs that is in src.
>> 
>> Emacs can't find its resources otherwise, and isn't properly
>>initialized.
>> 
>> 	Jan D.
>> 
>

Thanks. I copied my site-lisp directory and started Emacs as you suggested
and it seems to be running just as normal. Now to wait for a crash...